Update a specific record by ID
Each table has unique schema, which means that the request body should be updated with the schema relevant to the table being used. The example below is assuming that the table has a column labeled “name”.
Required API Scope: Workspace Content: Update
PUT
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
content
/
{content_id}
Update a specific record by ID
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/{content_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "test name"
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/{content_id}"
payload = { "name": "test name" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'test name'})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/{content_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Success!
Was this page helpful?
⌘I
Update a specific record by ID
